summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
-rw-r--r--dist-assets/linux/after-install.sh10
-rw-r--r--dist-assets/linux/before-remove.sh11
-rw-r--r--dist-assets/linux/mullvad-daemon.conf6
-rw-r--r--gui/tasks/distribution.js5
4 files changed, 5 insertions, 27 deletions
diff --git a/dist-assets/linux/after-install.sh b/dist-assets/linux/after-install.sh
index b75b72dc31..632a3b6268 100644
--- a/dist-assets/linux/after-install.sh
+++ b/dist-assets/linux/after-install.sh
@@ -3,11 +3,5 @@ set -eu
chmod u+s "/usr/bin/mullvad-exclude"
-if which systemctl &> /dev/null; then
- systemctl enable "/opt/Mullvad VPN/resources/mullvad-daemon.service"
- systemctl start mullvad-daemon.service
-elif /sbin/init --version | grep upstart &> /dev/null; then
- ln -s "/opt/Mullvad VPN/resources/mullvad-daemon.conf" /etc/init/
- initctl reload-configuration
- start mullvad-daemon
-fi
+systemctl enable "/opt/Mullvad VPN/resources/mullvad-daemon.service"
+systemctl start mullvad-daemon.service
diff --git a/dist-assets/linux/before-remove.sh b/dist-assets/linux/before-remove.sh
index 6d4ec5262f..340cd272cc 100644
--- a/dist-assets/linux/before-remove.sh
+++ b/dist-assets/linux/before-remove.sh
@@ -14,14 +14,9 @@ if [[ "$1" == "upgrade" ]]; then
exit 0;
fi
-if which systemctl &> /dev/null; then
- # the user might've disabled or stopped the service themselves already
- systemctl stop mullvad-daemon.service || true
- systemctl disable mullvad-daemon.service || true
-elif /sbin/init --version | grep upstart &> /dev/null; then
- stop mullvad-daemon
- rm -f /etc/init/mullvad-daemon.conf
-fi
+# the user might've disabled or stopped the service themselves already
+systemctl stop mullvad-daemon.service || true
+systemctl disable mullvad-daemon.service || true
pkill -x "mullvad-gui" || true
diff --git a/dist-assets/linux/mullvad-daemon.conf b/dist-assets/linux/mullvad-daemon.conf
deleted file mode 100644
index 70bb4b624c..0000000000
--- a/dist-assets/linux/mullvad-daemon.conf
+++ /dev/null
@@ -1,6 +0,0 @@
-# Upstart job configuration file for the Mullvad VPN daemon
-
-start on local-filesystems and net-device-up IFACE!=lo
-respawn
-chdir /opt/Mullvad\ VPN/resources
-exec /opt/Mullvad\ VPN/resources/mullvad-daemon -v
diff --git a/gui/tasks/distribution.js b/gui/tasks/distribution.js
index dc9968dcb6..87a07d3c96 100644
--- a/gui/tasks/distribution.js
+++ b/gui/tasks/distribution.js
@@ -155,7 +155,6 @@ const config = {
{ from: distAssets('mullvad-setup'), to: '.' },
{ from: distAssets('libtalpid_openvpn_plugin.so'), to: '.' },
{ from: distAssets('binaries/x86_64-unknown-linux-gnu/openvpn'), to: '.' },
- { from: distAssets('linux/mullvad-daemon.conf'), to: '.' },
{ from: distAssets('linux/mullvad-daemon.service'), to: '.' },
],
},
@@ -171,8 +170,6 @@ const config = {
distAssets('linux/before-remove.sh'),
'--config-files',
'/opt/Mullvad VPN/resources/mullvad-daemon.service',
- '--config-files',
- '/opt/Mullvad VPN/resources/mullvad-daemon.conf',
distAssets('mullvad') + '=/usr/bin/',
distAssets('mullvad-exclude') + '=/usr/bin/',
distAssets('linux/problem-report-link') + '=/usr/bin/mullvad-problem-report',
@@ -196,8 +193,6 @@ const config = {
distAssets('linux/post-transaction.sh'),
'--config-files',
'/opt/Mullvad VPN/resources/mullvad-daemon.service',
- '--config-files',
- '/opt/Mullvad VPN/resources/mullvad-daemon.conf',
distAssets('mullvad') + '=/usr/bin/',
distAssets('mullvad-exclude') + '=/usr/bin/',
distAssets('linux/problem-report-link') + '=/usr/bin/mullvad-problem-report',